﻿@model dynamic

@{
    ViewBag.Title = "LineFlowQuestions";
    Layout = "_Layout";
}
<h2 hidden>Flow (ID: <span id="subthemeId">@Model.Id</span>)</h2>

<div class="container">
    <div class="row" id="head">
        <div class="col">
            <div id="countdown" class="countdown"></div>
        </div>
        <div class="progress">
            <div class="progress-bar progress-bar-striped progress-bar-animated" id="pro-bar" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
        </div>
    </div>

    <div class="row" id="middle">
        <div id="questionLin" class="col">
        </div>
        <div class="section">
            <div id="my-qr-reader"></div>
        </div>
    </div>
    
</div>



@section Scripts
{
    @if (Model.ModeString == "phygital")
    {
        <script src="@Url.Content("~/js/linflowPhygital.js")" defer></script>
        <script src="https://unpkg.com/html5-qrcode"></script>
        <script src="@Url.Content("~/js/qrScanner.js")" defer></script>
        <script src="@Url.Content("~/js/timer.js")" defer></script>
    }
    else
    {
        <script src="@Url.Content("~/js/linflow.js")" defer></script>
        <script src="@Url.Content("~/js/timer.js")" defer></script>
                   
    }
}
